/*
 * Pomocna trida pro ukazky kolekci.
 */

package ija.collections.collections;

/**
 * Pomocna trida pro ukazky kolekci. Implementuje equals a hashCode.
 * @author Radek Koci
 */
public class CorrectPerson extends Person {

    public CorrectPerson(String n) {
	super(n);
    }

    @Override
    public boolean equals(Object o) {
        if (o instanceof CorrectPerson) {
            CorrectPerson c = (CorrectPerson) o;
            return name.equals(c.name);
	}
	else
            throw new IllegalArgumentException("Nelze porovnat");
    }

    @Override
    public int hashCode() {
        return name.hashCode();
    }
}
